summaryrefslogtreecommitdiffstats
path: root/source/ap/ksh93/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/ksh93/doinst.sh')
-rw-r--r--source/ap/ksh93/doinst.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/source/ap/ksh93/doinst.sh b/source/ap/ksh93/doinst.sh
new file mode 100644
index 000000000..97599b5e5
--- /dev/null
+++ b/source/ap/ksh93/doinst.sh
@@ -0,0 +1,18 @@
+# Backup the old copy if we find one, move the new one in place
+if [ -f bin/ksh ]; then
+ mv bin/ksh bin/ksh.old
+fi
+mv bin/ksh.new bin/ksh
+if [ -f bin/ksh.old ]; then
+ rm -f bin/ksh.old
+fi
+
+# Add entries to /etc/shells if we need them
+if [ ! -r etc/shells ] ; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+
+if ! grep -q "/bin/ksh" etc/shells ; then
+ echo "/bin/ksh" >> etc/shells
+fi